# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Class TextContent

    java.lang.Object
      com.google.gdata.data.Content
          com.google.gdata.data.TextContent

All Implemented Interfaces:
  IContent, ITextContent

    public class TextContent

extends Content
implements ITextContent

Variant of `Content` for entries containing text.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.Content
`Content.ChildHandlerInfo`

Nested classes/interfaces inherited from interface com.google.gdata.data.IContent
`IContent.Type`

Field Summary
`protected TextConstruct` `content` Content.

Constructor Summary
`TextContent()` Class constructor.
`TextContent(TextConstruct content)` Class constructor specifying the content for this element to contain.

Method Summary
`void` `generateAtom(com.google.gdata.util.common.xml.XmlWriter w, ExtensionProfile extProfile)` Generates XML in the Atom format.
`void` `generateRss(com.google.gdata.util.common.xml.XmlWriter w, ExtensionProfile extProfile)` Generates XML in the RSS format.
`TextConstruct` `getContent()` Returns the `ITextConstruct` that contains the text content.
`java.lang.String` `getLang()` Returns the human language that this content is written in.
`int` `getType()` Returns this content's type.
`void` `setContent(TextConstruct v)` Specifies the text content.

Methods inherited from class com.google.gdata.data.Content
`getChildHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### content

    protected TextConstruct content

  Content.

Constructor Detail

### TextContent

    public TextContent()

  Class constructor.

### TextContent

    public TextContent(TextConstruct content)

  Class constructor specifying the content for this element to contain.

Method Detail

### getType

    public int getType()

  Description copied from class: `Content`
  Returns this content's type. See `IContent.Type` for the set of expected values.

  Specified by:
    `getType` in interface `IContent`
  Specified by:
    `getType` in class `Content`
  Returns:
    the type (TEXT) of this content

### getLang

    public java.lang.String getLang()

  Description copied from class: `Content`
  Returns the human language that this content is written in.

  Specified by:
    `getLang` in interface `IContent`
  Specified by:
    `getLang` in class `Content`
  Returns:
    the human language that this text is written in

### getContent

    public TextConstruct getContent()

  Description copied from interface: `ITextContent`
  Returns the `ITextConstruct` that contains the text content.

  Specified by:
    `getContent` in interface `ITextContent`
  Returns:
    the text content

### setContent

    public void setContent(TextConstruct v)

  Specifies the text content.

### generateAtom

    public void generateAtom(com.google.gdata.util.common.xml.XmlWriter w,
                             ExtensionProfile extProfile)
                      throws java.io.IOException

  Generates XML in the Atom format.

  Specified by:
    `generateAtom` in class `Content`
  Parameters:
    `w` - output writer
    `extProfile` - Extension Profile for nested extensions
  Throws:
    `java.io.IOException`

### generateRss

    public void generateRss(com.google.gdata.util.common.xml.XmlWriter w,
                            ExtensionProfile extProfile)
                     throws java.io.IOException

  Generates XML in the RSS format.

  Specified by:
    `generateRss` in class `Content`
  Parameters:
    `w` - output writer
    `extProfile` - Extension Profile for nested extensions
  Throws:
    `java.io.IOException`